LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions | Variables
keyboard.h File Reference

Go to the source code of this file.

## Macros
#define | key_left 100
#define | key_left2 113
#define | key_right 102
#define | key_right2 114
#define | key_up 98
#define | key_up2 111
#define | key_down 104
#define | key_down2 116
#define | KEY_RPT_INTERVAL 4
#define | DEF_MIDI_CHECK_RATE 1000
#define | DEF_MIDI_RPT 1000

## Functions
boolean | ext_triggers_poll (livespointer)
| poll for external playback start More...
boolean | plugin_poll_keyboard (void)
boolean | pl_key_function (boolean down, uint16_t unicode, uint16_t keymod)
boolean | faster_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | slower_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | skip_back_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | skip_forward_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | stop_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | rec_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | loop_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | loop_cont_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | ping_pong_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | dblsize_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | showfct_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | showsubs_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | fullscreen_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | sepwin_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)
boolean | fade_callback (LiVESAccelGroup *, LiVESObject *, uint32_t, LiVESXModifierType, livespointer user_data)

## Variables
uint16_t | cached_key
uint16_t | cached_mod

## Macro Definition Documentation

#define DEF_MIDI_CHECK_RATE 1000

default MIDI checks per keyboard cycle (i.e. normally x checks per 4 ms - raw MIDI only)

#define DEF_MIDI_RPT 1000

allowed non-reads between reads (raw MIDI only)

#define key_down 104

#define key_down2 116

#define key_left 100

#define key_left2 113

#define key_right 102

#define key_right2 114

#define KEY_RPT_INTERVAL 4

#define key_up 98

#define key_up2 111

## Function Documentation

boolean dblsize_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean ext_triggers_poll | ( | livespointer |  | ) |

poll for external playback start

< keyboard control during playback

if we have OSC we will poll it here,

boolean fade_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean faster_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean fullscreen_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean loop_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean loop_cont_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean ping_pong_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean pl_key_function | ( | boolean | down,
|  | uint16_t | unicode,
|  | uint16_t | keymod
| ) |  |

boolean plugin_poll_keyboard | ( | void |  | ) |

boolean rec_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean sepwin_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean showfct_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean showsubs_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean skip_back_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean skip_forward_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean slower_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

boolean stop_callback | ( | LiVESAccelGroup * | ,
|  | LiVESObject * | ,
|  | uint32_t | ,
|  | LiVESXModifierType | ,
|  | livespointer | user_data
| ) |  |

## Variable Documentation

uint16_t cached_key

uint16_t cached_mod